#include <iostream>
using namespace std;
int main(int argc, char** argv) {
	ios_base::sync_with_stdio(false);
	
	int n,m;
	cin >>n>>m;
	for(int i=0;i<n+m;i++)
	{
		int a,b;
		cin >>a>>b;
		
	}
	
	cout <<0<<"\n";
	cout <<0<<"\n";
	
	return 0;
}